Patchwork [qemu-iotests] Test loading internal snapshots

login
register
mail settings
Submitter Kevin Wolf
Date Aug. 5, 2011, 2:37 p.m.
Message ID <1312555045-22162-1-git-send-email-kwolf@redhat.com>
Download mbox | patch
Permalink /patch/108672/
State New
Headers show

Comments

Kevin Wolf - Aug. 5, 2011, 2:37 p.m.
Test loading internal snapshots where the L1 table of the snapshot
is smaller than the current L1 table.

Signed-off-by: Kevin Wolf <kwolf@redhat.com>
---
 029     |   65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 029.out |   10 +++++++++
 group   |    1 +
 3 files changed, 76 insertions(+), 0 deletions(-)
 create mode 100755 029
 create mode 100644 029.out
Kevin Wolf - Nov. 18, 2011, 5:36 p.m.
Am 05.08.2011 16:37, schrieb Kevin Wolf:
> Test loading internal snapshots where the L1 table of the snapshot
> is smaller than the current L1 table.
> 
> Signed-off-by: Kevin Wolf <kwolf@redhat.com>

I just noticed that this still isn't merged. Christoph?

Kevin
Christoph Hellwig - Nov. 20, 2011, 7:38 p.m.
On Fri, Nov 18, 2011 at 06:36:11PM +0100, Kevin Wolf wrote:
> Am 05.08.2011 16:37, schrieb Kevin Wolf:
> > Test loading internal snapshots where the L1 table of the snapshot
> > is smaller than the current L1 table.
> > 
> > Signed-off-by: Kevin Wolf <kwolf@redhat.com>
> 
> I just noticed that this still isn't merged. Christoph?

Sorry, I've applied it now.

Patch

diff --git a/029 b/029
new file mode 100755
index 0000000..0ad5e45
--- /dev/null
+++ b/029
@@ -0,0 +1,65 @@ 
+#!/bin/bash
+#
+# Test loading internal snapshots where the L1 table of the snapshot
+# is smaller than the current L1 table.
+#
+# Copyright (C) 2011 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
+owner=kwolf@redhat.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+
+_cleanup()
+{
+	_cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+. ./common.pattern
+
+# Any format supporting intenal snapshots
+_supported_fmt qcow2
+_supported_proto generic
+_supported_os Linux
+
+CLUSTER_SIZE=65536
+_make_test_img 64M
+$QEMU_IMG snapshot -c foo $TEST_IMG
+$QEMU_IO -c 'write -b 0 4k' $TEST_IMG | _filter_qemu_io
+$QEMU_IMG snapshot -a foo $TEST_IMG
+_check_test_img
+
+CLUSTER_SIZE=1024
+_make_test_img 16M
+$QEMU_IMG snapshot -c foo $TEST_IMG
+$QEMU_IO -c 'write -b 0 4M' $TEST_IMG | _filter_qemu_io
+$QEMU_IMG snapshot -a foo $TEST_IMG
+_check_test_img
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0
diff --git a/029.out b/029.out
new file mode 100644
index 0000000..c2ad30c
--- /dev/null
+++ b/029.out
@@ -0,0 +1,10 @@ 
+QA output created by 029
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=67108864 cluster_size=65536 
+wrote 4096/4096 bytes at offset 0
+4 KiB, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+No errors were found on the image.
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=16777216 cluster_size=1024 
+wrote 4194304/4194304 bytes at offset 0
+4 MiB, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+No errors were found on the image.
+*** done
diff --git a/group b/group
index b9e90f5..0a5c866 100644
--- a/group
+++ b/group
@@ -35,3 +35,4 @@ 
 026 rw blkdbg auto
 027 rw auto
 028 rw backing auto
+029 rw auto